Description

So initially I had dhcpd manually configured but did not specify it in the subnet configuration. This worked fine and I could provision

systems without a problem and pxe requested the proper config from pxelinux.cfg/01-{MAC}.

However once I set the proxy for the dhcp server in the subnet config the pxe process suddenly stopped working.

The weird thing is that suddenly pxe tried the config from pxelinux.cfg/{sys-uuid}. There it simply got stuck.

The leases file contained this entry for the host:

host testsys.vms.local {

dynamic;

hardware ethernet 52:54:00:28:11:63;

fixed-address 10.100.0.124;

supersede server.filename = "pxelinux.0";

supersede server.next-server = 0a:63:00:28;

supersede host-name = "testsys.vms.local";

}

The moment I remove that entry and restart dhcpd pxe starts using the MAC address again and the pxe boot and the provisioning

succeeds.

History

#1 - 02/05/2013 04:50 AM - Dominic Cleal

- Status changed from New to Feedback

Likely a configuration issue somewhere.  Have you checked the information that the proxy is adding in that lease for accuracy?

Particularly the filename - if you had a different one before, make sure that pxelinux.0 is the same binary.  Check the next-server is correct too, or it

will be failing to TFTP from it.

pxelinux should be requesting the UUID and then falling through to MAC based lookups.

#2 - 02/27/2014 12:41 PM - Benjamin Papillon

- Description updated

Hello,

This ticket has been open for a while. Did you solve your problem? Can you provide the feedback Dominic asked if you still experience the problem?

Regards

#3 - 05/17/2017 06:38 AM - Anonymous

- Status changed from Feedback to Resolved

no reaction, closing.
